## ocamlgsl 0.3.5

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# If you compiling with cygwin, comment this out
+DYNAMIC_LINKING = true
+
 OCAMLC   := ocamlc
 OCAMLOPT := ocamlopt
 CAMLP4O  := camlp4o
@@ -94,7 +97,7 @@
 SOBJ     := $(patsubst %.c,%.$(SO),$(filter %.c,$(SRC)))
 DOBJ     := $(patsubst %.c,%.$(DO),$(filter %.c,$(SRC)))
 
-TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC)
+TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC) do_cdf
 
 DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
            mlgsl_vector.c mlgsl_matrix.c \
@@ -103,9 +106,15 @@
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.3.4
-
-all : dllmlgsl.$(D) libmlgsl.$(A) gsl.cma gsl.cmxa $(CMI)
+VERSION := 0.3.5
+
+all : stubs gsl.cma gsl.cmxa $(CMI)
+
+ifdef DYNAMIC_LINKING
+stubs : dllmlgsl.$(D) libmlgsl.$(A) 
+else
+stubs : libmlgsl.$(A)
+endif
 
 libmlgsl.$(A) : $(SOBJ)
 	$(call MKLIB,mlgsl,$^)
@@ -125,7 +134,7 @@
 	$(call MKCMXA,mlgsl,gsl,$^)
 
 top : libmlgsl.$(A) gsl.cma
-	ocamlmktop -o ocamlgsl$(EXE) bigarray.cma gsl.cma
+	ocamlmktop -I . -o ocamlgsl$(EXE) bigarray.cma gsl.cma
 
 install : all
 	mkdir -p $(DESTDIR)$(INSTALLDIR)
@@ -161,12 +170,14 @@
 quot.cmo : quot.ml
 	$(OCAMLC) -c -I +camlp4 -pp $(CAMLP4O) $<
 
+
 gsl_sf.ml : gsl_sf.mli.q quot.cmo
 	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
 gsl_sf.mli : gsl_sf.mli.q quot.cmo
 	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
 gsl_sf.cmo gsl_sf.cmx : gsl_sf.cmi
 gsl_sf.cmi : gsl_fun.cmi
+
 
 gsl_const.ml : 
 	$(AWK) -f do_const.awk > $@ \
@@ -180,13 +191,17 @@
           $(GSLINCDIR)/gsl/gsl_const_num.h
 gsl_const.cmo gsl_const.cmx : gsl_const.cmi
 
-gsl_cdf.ml : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
-	$(OCAML) str.cma do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
-gsl_cdf.mli : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
-	$(OCAML) str.cma do_cdf.ml < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
-mlgsl_cdf.c : do_cdf.ml $(GSLINCDIR)/gsl/gsl_cdf.h
-	$(OCAML) str.cma do_cdf.ml --c < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
+
+do_cdf : do_cdf.ml
+	$(OCAMLC) -o $@ str.cma $^
+gsl_cdf.ml : do_cdf $(GSLINCDIR)/gsl/gsl_cdf.h
+	./do_cdf < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
+gsl_cdf.mli : do_cdf $(GSLINCDIR)/gsl/gsl_cdf.h
+	./do_cdf < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
+mlgsl_cdf.c : do_cdf $(GSLINCDIR)/gsl/gsl_cdf.h
+	./do_cdf --c < $(GSLINCDIR)/gsl/gsl_cdf.h > $@
 gsl_cdf.cmo gsl_cdf.cmx :  gsl_cdf.cmi
+
 
 %.cmo : %.ml	
 	$(OCAMLC) $(OCAMLBCFLAGS) -c $<
@@ -217,7 +232,7 @@
 	-@$(CC) -MM $^ > $@
 endif 
 
-.PHONY : clean realclean top all dist install doc test
+.PHONY : clean realclean top all dist install doc test stubs
 
 dist : doc info
 	export DIRNAME=$${PWD##*/} && \
