## ocamlgsl 0.4.0

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,14 @@
 FORT := fort 
 AWK  := gawk
 
-OCAML_BACKEND := $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) '/^+/ { print $$2 }')
-OCAML_VERSION := $(shell $(OCAMLC) -version)
-OCAML_307     := $(shell expr "$(OCAML_VERSION)" '>=' 3.07)
+MNOCYGWIN     ?= $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) "NR==1 { print \$$3 }")	
+ifeq ($(MNOCYGWIN),-mnocygwin)
+OCAML_BACKEND := mingw
+endif
+
+OCAML_BACKEND ?= $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) "NR==1 { print \$$2 }")
+OCAML_VERSION ?= $(shell $(OCAMLC) -version)
+OCAML_307     ?= $(shell expr "$(OCAML_VERSION)" ">=" 3.07)
 
 OCAMLBCFLAGS := -g 
 OCAMLNCFLAGS :=
@@ -57,6 +62,7 @@
        mlgsl_blas_float.c mlgsl_blas_complex.c mlgsl_blas_complex_float.c \
        gsl_fun.ml gsl_fun.mli mlgsl_fun.c mlgsl_fun.h \
        gsl_permut.ml gsl_permut.mli mlgsl_permut.c mlgsl_permut.h \
+       gsl_sort.ml gsl_sort.mli mlgsl_sort.c \
        gsl_linalg.ml gsl_linalg.mli mlgsl_linalg.c mlgsl_linalg_complex.c \
        gsl_eigen.ml gsl_eigen.mli mlgsl_eigen.c \
        gsl_poly.ml gsl_poly.mli mlgsl_poly.c \
@@ -81,14 +87,19 @@
        gsl_odeiv.ml gsl_odeiv.mli mlgsl_odeiv.c \
        gsl_histo.ml gsl_histo.mli mlgsl_histo.c \
        gsl_stats.ml gsl_stats.mli mlgsl_stats.c \
+       gsl_wavelet.ml gsl_wavelet.mli mlgsl_wavelet.c \
        mlgsl_sf.c \
        $(AUTO_SRC)
 
 ifeq ($(OCAML_BACKEND),cl)
 include msvc.mak
 else
-include gcc.mak 
-endif 
+ifeq ($(OCAML_BACKEND),gcc)
+include gcc.mak
+else
+include mingw.mak
+endif
+endif
 
 CMI      := $(patsubst %.mli,%.cmi,$(filter %.mli,$(SRC)))
 MLOBJ    := $(patsubst %.ml,%.cmo,$(filter %.ml,$(SRC)))
@@ -101,12 +112,12 @@
 
 DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
            mlgsl_vector.c mlgsl_matrix.c \
-           .depend .depend.c gcc.mak msvc.mak \
+           .depend .depend_c gcc.mak msvc.mak \
            Makefile .ocamlinit do_const.awk do_cdf.ml \
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.3.5
+VERSION := 0.4.0
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
 
@@ -226,10 +237,10 @@
 	@echo "making ocaml deps..."
 	-@$(OCAMLDEP) $^ > $@
 
-.depend.c : $(filter-out $(AUTO_SRC), $(filter %.c,$(SRC)))
+.depend_c : $(filter-out $(AUTO_SRC), $(filter %.c,$(SRC)))
 ifneq ($(OCAML_BACKEND),cl)
 	@echo "making C deps..."
-	-@$(CC) -MM $^ > $@
+	-@$(CC) -isystem $(OCAMLDIR) -isystem $(GSLINCDIR) -MM $^ > $@
 endif 
 
 .PHONY : clean realclean top all dist install doc test stubs
@@ -246,4 +257,4 @@
 	rm -f .depend* ocamlgsl.info* ocamlgsl.texi ocamlgsl.odoc
 
 -include .depend
--include .depend.c
+-include .depend_c
