## ocamlgsl 0.5.1

=== Makefile ===
--- 
+++ 
@@ -73,9 +73,9 @@
        gsl_integration.ml gsl_integration.mli mlgsl_integration.c \
        gsl_fit.ml gsl_fit.mli mlgsl_fit.c \
        gsl_multifit.ml gsl_multifit.mli \
+       gsl_multifit_nlin.ml gsl_multifit_nlin.mli mlgsl_multifit.c \
        gsl_root.ml gsl_root.mli mlgsl_roots.c \
        gsl_multiroot.ml gsl_multiroot.mli mlgsl_multiroots.c \
-       gsl_multifit_nlin.ml gsl_multifit_nlin.mli mlgsl_multifit.c \
        gsl_min.ml gsl_min.mli mlgsl_min.c \
        gsl_multimin.ml gsl_multimin.mli mlgsl_multimin.c \
        gsl_diff.ml gsl_diff.mli mlgsl_diff.c \
@@ -117,15 +117,15 @@
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.4.0
+VERSION := 0.5.1
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
 
+STUBS = libmlgsl.$(A)
 ifdef DYNAMIC_LINKING
-stubs : dllmlgsl.$(D) libmlgsl.$(A) 
-else
-stubs : libmlgsl.$(A)
-endif
+STUBS += dllmlgsl.$(D)
+endif
+stubs : $(STUBS)
 
 libmlgsl.$(A) : $(SOBJ)
 	$(call MKLIB,mlgsl,$^)
@@ -149,7 +149,7 @@
 
 install : all
 	mkdir -p $(DESTDIR)$(INSTALLDIR)
-	cp libmlgsl.$(A) dllmlgsl.$(D) gsl.cma gsl.cmxa gsl.$(A) \
+	cp $(STUBS) gsl.cma gsl.cmxa gsl.$(A) \
           $(CMI) $(MLOPTOBJ) $(DESTDIR)$(INSTALLDIR)
 	mkdir -p $(DESTDIR)$(OCAMLDIR)/stublibs
 	if test -w $(DESTDIR)$(OCAMLDIR)/stublibs ; then \
