## ocamlgsl 0.5.2

=== Makefile ===
--- 
+++ 
@@ -117,7 +117,7 @@
            NOTES README COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.5.1
+VERSION := 0.5.2
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
