## ocamlgsl 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# If you compiling with cygwin, comment this out
+# If you're compiling with cygwin, comment this out
 DYNAMIC_LINKING = true
 
 OCAMLC   := ocamlc
@@ -23,7 +23,6 @@
 
 OCAML_BACKEND ?= $(shell $(OCAMLC) -verbose foo.c 2>&1 | $(AWK) "NR==1 { print \$$2 }")
 OCAML_VERSION ?= $(shell $(OCAMLC) -version)
-OCAML_307     ?= $(shell expr "$(OCAML_VERSION)" ">=" 3.07)
 
 OCAMLBCFLAGS := -g 
 OCAMLNCFLAGS :=
@@ -88,6 +87,7 @@
        gsl_histo.ml gsl_histo.mli mlgsl_histo.c \
        gsl_stats.ml gsl_stats.mli mlgsl_stats.c \
        gsl_wavelet.ml gsl_wavelet.mli mlgsl_wavelet.c \
+       gsl_bspline.ml gsl_bspline.mli mlgsl_bspline.c \
        mlgsl_sf.c \
        $(AUTO_SRC)
 
@@ -108,16 +108,16 @@
 SOBJ     := $(patsubst %.c,%.$(SO),$(filter %.c,$(SRC)))
 DOBJ     := $(patsubst %.c,%.$(DO),$(filter %.c,$(SRC)))
 
-TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC) do_cdf
-
-DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) quot.ml gsl_sf.mli.q \
+TRASH = ocamlgsl$(EXE) $(DEF) $(AUTO_SRC) do_cdf do_sf
+
+DISTSRC := $(filter-out $(AUTO_SRC),$(SRC)) gsl_sf.mli.q \
            mlgsl_vector.c mlgsl_matrix.c \
            .depend .depend_c gcc.mak msvc.mak \
-           Makefile .ocamlinit do_const.awk do_cdf.ml \
-           NOTES README COPYING META ocamlgsl.spec \
+           Makefile .ocamlinit do_const.awk do_cdf.ml do_sf.ml \
+           NOTES README NEWS COPYING META ocamlgsl.spec \
            $(wildcard examples/*.ml) examples/Makefile doc \
            $(wildcard test/*.ml) $(wildcard ocamlgsl.info*)
-VERSION := 0.5.2
+VERSION := 0.6.0
 
 all : stubs gsl.cma gsl.cmxa $(CMI)
 
@@ -157,7 +157,7 @@
 
 install-findlib : all
 	export FINDLIBDIR=$$($(OCAMLFIND) printconf destdir) ; \
-	mkdir -p $(DESTDIR)$${FINDLIBDIR}/stublibs ; \
+	test -d "$${FINDLIBDIR}/stublibs" && mkdir -p $(DESTDIR)$${FINDLIBDIR}/stublibs ; \
 	OCAMLFIND_DESTDIR=$(DESTDIR)$${FINDLIBDIR} \
         $(OCAMLFIND) install gsl META \
           libmlgsl.$(A) dllmlgsl.$(D) gsl.cma gsl.cmxa gsl.$(A) $(CMI) $(MLOPTOBJ) 
@@ -178,14 +178,12 @@
 test : gsl.cma dllmlgsl.$(D)
 	$(FORT) -I . test/*.test.ml
 
-quot.cmo : quot.ml
-	$(OCAMLC) -c -I +camlp4 -pp $(CAMLP4O) $<
-
-
-gsl_sf.ml : gsl_sf.mli.q quot.cmo
-	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
-gsl_sf.mli : gsl_sf.mli.q quot.cmo
-	$(OCPP) $(OCAMLDIR)/stdlib.cma ./quot.cmo $< > $@
+do_sf : do_sf.ml
+	$(OCAMLC) -o $@ str.cma $^
+gsl_sf.ml : gsl_sf.mli.q do_sf
+	./do_sf < $< > $@
+gsl_sf.mli : gsl_sf.mli.q do_sf
+	./do_sf < $< > $@
 gsl_sf.cmo gsl_sf.cmx : gsl_sf.cmi
 gsl_sf.cmi : gsl_fun.cmi
