=== examples/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
        multifit-data.ml multifit.ml permut.ml qrng.ml rng.ml root.ml \
        linalg.ml blas.ml multiroot.ml multimin.ml sum.ml multifit_nlin.ml \
        eigen.ml siman.ml siman_tsp.ml odeiv.ml stats.ml const.ml histo.ml \
-       wavelet.ml
+       wavelet.ml bspline.ml
 
 PROGS     := $(patsubst %.ml,%.test,$(SRC))
 PROGS_OPT := $(patsubst %.ml,%.test.opt,$(SRC))
