=== debian/changelog ===
ocamlgsl (1.19.1-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:51:50 +0200

ocamlgsl (1.19.1-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:58 +0000

ocamlgsl (1.19.1-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 15:17:02 +0200

ocamlgsl (1.19.1-1) unstable; urgency=low

  * Team upload.

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev
    (Closes: #805818).

  [ Mehdi Dogguy ]
  * Import new upstream release, which fixes FTBFS issues and GSL 2
    compatibility issues.
  * Remove local patches, not needed anymore
  * Upstream repository has moved to github.com/mmottl/gsl-ocaml
  * Update packaging to cope with upstream's build system
  * Convert source package to 3.0 (quilt)
  * Convert packaging from cdbs to dh-7 style
  * Update debian/copyright file.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 20:34:21 +0100

ocamlgsl (0.6.0-7) unstable; urgency=low

  * Install libmlgsl.a on non-native architectures (Closes: #567060)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 20 Apr 2010 21:55:21 +0200

ocamlgsl (0.6.0-6) unstable; urgency=low

  * Update upstream homepage
  * Restore .depend in clean target
  * Use dh-ocaml features
  * Upgrade Standards-version to 3.8.3 (section ocaml)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Dec 2009 23:44:52 +0000

ocamlgsl (0.6.0-5) unstable; urgency=low

  * Really add a build-dependency on dh-ocaml

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 09 Mar 2009 10:42:25 +0100

ocamlgsl (0.6.0-4) unstable; urgency=low

  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Add ${misc:Depends} to dependencies

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 11:05:09 +0100

ocamlgsl (0.6.0-3) unstable; urgency=low

  * Setting arch to any, package on some arches will probably have
    performance issue because of data alignement but no real bugs
    (Closes: #490901)
  * Revamp debian/copyright
  * Upgrade Standards-Version to 3.8.0:
    * Add debian/REAME.source
    * Remove dpkg-dev Build-Deps
    * Add Homepage field

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 15 Jul 2008 23:01:13 +0200

ocamlgsl (0.6.0-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
  * Modify gcc matching to help recognize gcc-4.2 as gcc 
    (Closes: #482920)
  * Add hurd-i386 to arch (Closes: #482906)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 26 May 2008 12:15:49 +0200

ocamlgsl (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0
  * Move documentation to html/api
  * Use more debian/*.in file to take advantage of substitution of
    OCamlDllDir/OCamlStdlibDir
  * Use CDBS ocaml.mk

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 05 Sep 2007 22:09:30 +0200

ocamlgsl (0.5.2-2) unstable; urgency=low

  * Revert changes on the build system

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 21 Jan 2007 18:06:07 +0100

ocamlgsl (0.5.2-1) unstable; urgency=low

  * New upstream release:
    * Fix Gsl_sf.legendre_array_size (Closes: #406711)
  * Upgrade debian/watch version to 3,
  * Use ocaml.mk

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  9 Nov 2006 23:39:55 +0100

ocamlgsl (0.5.1-3) unstable; urgency=low

  * Correct a typo OCAML_HAVE_OPT -> OCAML_HAVE_OCAMLOPT 
    (Closes: #393442)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 26 Oct 2006 01:17:00 +0200

ocamlgsl (0.5.1-2) unstable; urgency=low

  * Add versionned dependency on dpkg-dev

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 15 Oct 2006 18:25:55 +0200

ocamlgsl (0.5.1-1) unstable; urgency=low

  * New upstream version (Closes: #392361),
  * Use CDBS for debian/rules,
  * Upgrade debhelper debian/compat to 5,
  * Real NUM acknowledgement (Closes: #361583, #361635),
  * Rebuild against ocaml 3.09.2 (Closes: #368773),
  * Patch cdf_handle_int_arguments.dpatch applied upstream,

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 12 Oct 2006 01:37:11 +0200

ocamlgsl (0.4.0-5) unstable; urgency=low

  * Acknowledge NMU (thanks to Samuel Mimram)
  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 14 Jun 2006 21:34:58 +0200

ocamlgsl (0.4.0-4.1) unstable; urgency=low

  * NMU.
  * Added a patch (cdf_handle_int_arguments.dpatch) to solve the FTBFS by
    properly handling functions with "const unsigned int" arguments (thanks
    Julien Cristau), closes: #361583.
  * Added kfreebsd-amd64 to the list of supported archs, closes: #361635.
  * Updated Standards-Version to 3.7.0, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu,  4 May 2006 20:31:48 +0000

ocamlgsl (0.4.0-4) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:12:16 +0100

ocamlgsl (0.4.0-3) unstable; urgency=low

  * Use Apps/Programming for doc-base

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 01:13:01 +0100

ocamlgsl (0.4.0-2) unstable; urgency=low

  * Remove direct reference to ocaml library dir
  * Remove hardcoded OCaml ABI
  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 23:08:34 +0100

ocamlgsl (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Added kfreebsd-i386 to the list of arch
    (Closes: #314703)

