=== debian/control ===
Source: ocamlgsl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 3.10.0-9),
 ocaml-findlib (>= 1.1.2pl1-4),
 libgsl-dev,
 chrpath,
 gawk,
 camlp4 (>= 3.10.0),
 ocamlbuild,
 dh-ocaml (>= 0.9.1)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgsl.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgsl.git
Homepage: https://github.com/mmottl/gsl-ocaml

Package: libocamlgsl-ocaml-dev
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, libgsl-dev, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: GNU scientific library for OCaml
 This is an interface to GSL (GNU scientific library), for the
 Objective Caml language.
 .
 See the libgsl2 package for more details.

Package: libocamlgsl-ocaml
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: GNU scientific library for OCaml
 This is an interface to GSL (GNU scientific library), for the
 Objective Caml language.
 .
 See the libgsl2 package for more details.
