=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure 		\
		--enable-tests 	\
		--enable-docs 	\
		--enable-debug 	\
		--docdir $(CURDIR)/debian/libocamlgsl-ocaml-dev/usr/share/doc/libocamlgsl-ocaml-dev/html/ \
		--prefix $(OCAMLFIND_DESTDIR)

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	dh_auto_install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner
