=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 9),
- ocaml-nox (>= 3.10.0-9),
- ocaml-findlib (>= 1.1.2pl1-4),
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-dune,
+ libdune-ocaml-dev,
  libgsl-dev,
  chrpath,
  gawk,
- camlp4 (>= 3.10.0),
- ocamlbuild,
- dh-ocaml (>= 0.9.1)
-Standards-Version: 3.8.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgsl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgsl.git
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlgsl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlgsl
 Homepage: https://github.com/mmottl/gsl-ocaml
 
 Package: libocamlgsl-ocaml-dev
