=== debian/watch ===
version=2
https://github.com/mmottl/gsl-ocaml/tags .*/v?(\d\S*)\.tar\.gz
