## ocamlgsl 1.25.0

=== debian/changelog ===
ocamlgsl (1.25.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:40:34 +0200

ocamlgsl (1.25.0-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:51:01 +0200

ocamlgsl (1.25.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 03:35:02 +0100

ocamlgsl (1.24.3-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:36:28 +0200

ocamlgsl (1.24.3-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:30:45 +0200

ocamlgsl (1.24.3-3) unstable; urgency=medium

  * Team upload
  * Add gsl_include.sexp to deps of sf.ml* (fixes random FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 13:27:39 +0200

ocamlgsl (1.24.3-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:43:51 +0200
