## ocamlgsl 1.25.1

=== src/Makefile ===
TARGETS = gsl.cma libgsl_stubs.a

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean
