=== src/config/Makefile ===
TARGETS = discover.bc do_cdf.bc do_const.bc

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean
