=== debian/changelog ===
ocamlgsl (1.25.1-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:03:56 +0100

ocamlgsl (1.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 09:37:31 +0100
