=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mmottl/gsl-ocaml/releases?per_page=50 \
https://github.com/mmottl/gsl-ocaml/releases/download/[^/]+/gsl-@ANY_VERSION@.tbz
